Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.aspectwerkz
Class DeploymentModel

    java.lang.Object
      org.codehaus.aspectwerkz.DeploymentModel

    public final class DeploymentModel

extends Object

Enum containing the different deployment model types.

Author:
  Jonas Bonr

Field Summary
`static DeploymentModel` | `PER_CFLOW`
`static DeploymentModel` | `PER_CFLOWBELOW`
`static DeploymentModel` | `PER_CLASS`
`static DeploymentModel` | `PER_INSTANCE`
`static DeploymentModel` | `PER_JVM`
`static DeploymentModel` | `PER_TARGET`
`static DeploymentModel` | `PER_THIS`

Method Summary
`boolean` | `equals(Object o)`
`static DeploymentModel` | `getDeploymentModelFor(String deploymentModelAsString)`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### PER_JVM

    public static final DeploymentModel PER_JVM

### PER_CLASS

    public static final DeploymentModel PER_CLASS

### PER_INSTANCE

    public static final DeploymentModel PER_INSTANCE

### PER_TARGET

    public static final DeploymentModel PER_TARGET

### PER_THIS

    public static final DeploymentModel PER_THIS

### PER_CFLOW

    public static final DeploymentModel PER_CFLOW

### PER_CFLOWBELOW

    public static final DeploymentModel PER_CFLOWBELOW

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### getDeploymentModelFor

    public static DeploymentModel getDeploymentModelFor(String deploymentModelAsString)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Jonas Bonér, Alexandre Vasseur. All Rights Reserved.